#pragma semicolon 1
#include <sourcemod>
#include <sdktools>
#include <tf2_stocks>
#include <tf2>

public Plugin:myinfo =
{
	name = "MVM Restart",
	author = "deluxghost",
	description = "Restart Mission",
	version = "1.0.0",
	url = "https://deluxghost.me/"
};

char mission[256];

public OnPluginStart()
{
	HookEvent("mvm_mission_complete", EventVictory, EventHookMode_Post);
}

public EventVictory(Event event, const char[] name, bool dontBroadcast)
{
	event.GetString("mission", mission, sizeof(mission));
	ReplaceString(mission, 256, "scripts/population/", "");
	ReplaceString(mission, 256, ".pop", "");
	CreateTimer(2.0, RestartMission, 0, TIMER_FLAG_NO_MAPCHANGE);
}

public Action RestartMission(Handle timer, any whatever)
{
	ServerCommand("tf_mvm_popfile %s", mission);
}